import { Prism } from 'monocle-ts';
import { Newtype, URIOf } from './';
import { NonEmptyString } from './NonEmptyString';
/**
 * @since 0.2.0
 */
export interface Char extends Newtype<URIOf<NonEmptyString> & {
    readonly Length: 1;
}, string> {
}
/**
 * @since 0.2.0
 */
export declare const isChar: (s: string) => boolean;
/**
 * @since 0.2.0
 */
export declare const prismChar: Prism<string, Char>;
