import { Newtype } from '.';
import { Prism } from 'monocle-ts';
/**
 * @since 0.2.0
 */
export interface NonEmptyString extends Newtype<{
    readonly NonEmptyString: unique symbol;
}, string> {
}
/**
 * @since 0.2.0
 */
export declare const isNonEmptyString: (s: string) => boolean;
/**
 * @since 0.2.0
 */
export declare const prismNonEmptyString: Prism<string, NonEmptyString>;
