import { prism } from '.';
import { isInteger } from './Integer';
import { isNonPositive } from './NonPositive';
/**
 * @since 0.2.0
 */
export const isNonPositiveInteger = (n) => isNonPositive(n) && isInteger(n);
/**
 * @since 0.2.0
 */
export const prismNonPositiveInteger = prism(isNonPositiveInteger);
//# sourceMappingURL=NonPositiveInteger.js.map