import { prism } from '.';
import { isNonNegative } from './NonNegative';
import { isNonZero } from './NonZero';
/**
 * @since 0.2.0
 */
export const isPositive = (n) => isNonZero(n) && isNonNegative(n);
/**
 * @since 0.2.0
 */
export const prismPositive = prism(isPositive);
//# sourceMappingURL=Positive.js.map