import { Newtype } from '.';
import { Prism } from 'monocle-ts';
/**
 * @since 0.2.0
 */
export interface NonNegative extends Newtype<{
    readonly NonNegative: unique symbol;
}, number> {
}
/**
 * @since 0.2.0
 */
export declare const isNonNegative: (n: number) => boolean;
/**
 * @since 0.2.0
 */
export declare const prismNonNegative: Prism<number, NonNegative>;
