import { Newtype } from '.';
import { Prism } from 'monocle-ts';
/**
 * @since 0.2.0
 */
export interface NonPositive extends Newtype<{
    readonly NonPositive: unique symbol;
}, number> {
}
/**
 * @since 0.2.0
 */
export declare const isNonPositive: (n: number) => boolean;
/**
 * @since 0.2.0
 */
export declare const prismNonPositive: Prism<number, NonPositive>;
