import { Prism } from 'monocle-ts';
import { Concat } from '.';
import { Integer } from './Integer';
import { NonPositive } from './NonPositive';
/**
 * @since 0.2.0
 */
export interface NonPositiveInteger extends Concat<NonPositive, Integer> {
}
/**
 * @since 0.2.0
 */
export declare const isNonPositiveInteger: (n: number) => boolean;
/**
 * @since 0.2.0
 */
export declare const prismNonPositiveInteger: Prism<number, NonPositiveInteger>;
