import { Newtype } from '.';
import { Prism } from 'monocle-ts';
/**
 * @since 0.2.0
 */
export interface NonZero extends Newtype<{
    readonly NonZero: unique symbol;
}, number> {
}
/**
 * @since 0.2.0
 */
export declare const isNonZero: (n: number) => boolean;
/**
 * @since 0.2.0
 */
export declare const prismNonZero: Prism<number, NonZero>;
