import { Prism } from 'monocle-ts';
import { Concat } from '.';
import { Integer } from './Integer';
import { NonZero } from './NonZero';
/**
 * @since 0.2.0
 */
export interface NonZeroInteger extends Concat<NonZero, Integer> {
}
/**
 * @since 0.2.0
 */
export declare const isNonZeroInteger: (n: number) => boolean;
/**
 * @since 0.2.0
 */
export declare const prismNonZeroInteger: Prism<number, NonZeroInteger>;
