import { Prism } from 'monocle-ts';
import { Concat } from '.';
import { NonNegative } from './NonNegative';
import { NonZero } from './NonZero';
/**
 * @since 0.2.0
 */
export interface Positive extends Concat<NonZero, NonNegative> {
}
/**
 * @since 0.2.0
 */
export declare const isPositive: (n: number) => boolean;
/**
 * @since 0.2.0
 */
export declare const prismPositive: Prism<number, Positive>;
