import { prism } from '.';
import { isNonNegativeInteger } from './NonNegativeInteger';
import { isNonZero } from './NonZero';
/**
 * @since 0.2.0
 */
export const isPositiveInteger = (n) => isNonZero(n) && isNonNegativeInteger(n);
/**
 * @since 0.2.0
 */
export const prismPositiveInteger = prism(isPositiveInteger);
//# sourceMappingURL=PositiveInteger.js.map