import { identity, unsafeCoerce } from 'fp-ts/lib/function';
import { none, some } from 'fp-ts/lib/Option';
import { Iso, Prism } from 'monocle-ts';
/**
 * @since 0.3.0
 */
export const getEq = (S) => S;
/**
 * @since 0.2.0
 */
export const getOrd = (O) => O;
/**
 * @since 0.2.0
 */
export const getSemigroup = (S) => S;
/**
 * @since 0.2.0
 */
export const getMonoid = (M) => M;
/**
 * @since 0.2.0
 */
export const getSemiring = (S) => S;
/**
 * @since 0.2.0
 */
export const getRing = (R) => R;
/**
 * @since 0.2.0
 */
export const getField = (F) => F;
//
// isos
//
const anyIso = new Iso(unsafeCoerce, unsafeCoerce);
/**
 * @since 0.2.0
 */
export function iso() {
    return anyIso;
}
/**
 * @since 0.2.0
 */
export function prism(predicate) {
    return new Prism(s => (predicate(s) ? some(s) : none), identity);
}
//# sourceMappingURL=index.js.map