import { Prism } from 'monocle-ts';
import { Concat } from '.';
import { NonPositive } from './NonPositive';
import { NonZero } from './NonZero';
/**
 * @since 0.2.0
 */
export interface Negative extends Concat<NonZero, NonPositive> {
}
/**
 * @since 0.2.0
 */
export declare const isNegative: (n: number) => boolean;
/**
 * @since 0.2.0
 */
export declare const prismNegative: Prism<number, Negative>;
