import { Prism } from 'monocle-ts';
import { Concat } from '.';
import { NonPositiveInteger } from './NonPositiveInteger';
import { NonZero } from './NonZero';
/**
 * @since 0.2.0
 */
export interface NegativeInteger extends Concat<NonZero, NonPositiveInteger> {
}
/**
 * @since 0.2.0
 */
export declare const isNegativeInteger: (n: number) => boolean;
/**
 * @since 0.2.0
 */
export declare const prismNegativeInteger: Prism<number, NegativeInteger>;
