import { Prism } from 'monocle-ts';
import { Concat } from '.';
import { Integer } from './Integer';
import { NonNegative } from './NonNegative';
/**
 * @since 0.2.0
 */
export interface NonNegativeInteger extends Concat<NonNegative, Integer> {
}
/**
 * @since 0.2.0
 */
export declare const isNonNegativeInteger: (n: number) => boolean;
/**
 * @since 0.2.0
 */
export declare const prismNonNegativeInteger: Prism<number, NonNegativeInteger>;
