import { Prism } from 'monocle-ts';
import { Concat } from '.';
import { NonNegativeInteger } from './NonNegativeInteger';
import { NonZero } from './NonZero';
/**
 * @since 0.2.0
 */
export interface PositiveInteger extends Concat<NonZero, NonNegativeInteger> {
}
/**
 * @since 0.2.0
 */
export declare const isPositiveInteger: (n: number) => boolean;
/**
 * @since 0.2.0
 */
export declare const prismPositiveInteger: Prism<number, PositiveInteger>;
